
Redmine - Defect #32664

Adding an empty reply to a forum message does not show any error

2019-12-20 01:45 - Go MAEDA

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:  Affected version:  

Description

Steps to reproduce:

1. Open any forum topic and click "Reply"

2. Attach any file and click "Submit"

3. You will see "Successful update" message but the reply is not added. The attachment is silently discarded

Expected behavior:

"Content cannot be blank" error should be shown.

History

#1 - 2019-12-25 02:32 - Yuichi HARADA

- File show_any_error_when_reply.png added

- File 32664_show_errormsg_submitting_reply.patch added

Show any error message when submitting a reply. I attached a patch.

However, I'm worried that if the number of replies increases, the error message, and the reply input fields will be separated.

 show_any_error_when_reply.png 

#2 - 2020-01-04 06:13 - Go MAEDA

Yuichi HARADA wrote:

However, I'm worried that if the number of replies increases, the error message, and the reply input fields will be separated.

 You are right. Thank you for pointing it out.

And I found that the behavior that showing an error is not consistent with issues. When updating issues, no error is shown even if note is empty. Its

behavior is similar to forums but the only difference is the behavior when adding attachments with an empty note. In the case, attachments are added

to the issue.

I think the following behavior is better for forums. It is consistent with the behavior of issues.

Empty message without attachments: Almost the same behavior with the current behavior but "Successful update" message should not be

shown

empty message with attachments: Attach the files instead of discarding them

#3 - 2020-01-16 06:09 - Yuichi HARADA

- File 32664_show_errormsg_submitting_reply-v2.patch added

Go MAEDA wrote:

I think the following behavior is better for forums. It is consistent with the behavior of issues.

Empty message without attachments: Almost the same behavior with the current behavior but "Successful update" message should not be

shown

empty message with attachments: Attach the files instead of discarding them
 Thank you for pointing it out. I attached a patch that incorporates the above behaviors.

#4 - 2020-02-04 10:33 - Go MAEDA

- Target version set to Candidate for next major release

Files

show_any_error_when_reply.png 210 KB 2019-12-25 Yuichi HARADA

32664_show_errormsg_submitting_reply.patch 3.92 KB 2019-12-25 Yuichi HARADA

32664_show_errormsg_submitting_reply-v2.patch 5.89 KB 2020-01-16 Yuichi HARADA
